Subject: Announcing the NNCPNET Email Network

From: John Goerzen <[email-masked]>
Date: Fri, 04 Apr 2025 11:54:20 -0500

Hi everyone,

I've been thinking about this for a LONG time, and have finally done it:
created software to run an email network over NNCP.

You can read about it here:

https://salsa.debian.org/jgoerzen/docker-nncpnet-mailnode/-/wikis/home

Basically, it is a Docker container (multi-arch, so you can also run it
on a Raspberry Pi) that bundles these components:

* Exim mail server

* NNCP

* Verification and routing tools I wrote

* Automated nodelist tools - it will freq a nodelist from quux daily and
  update its configuration accordingly.  I also updated tooling on quux
  to support this.

It is open to all.  The homepage has a more extensive list of features.  

I even have a mailing list running on-net; see
https://salsa.debian.org/jgoerzen/docker-nncpnet-mailnode/-/wikis/interesting-addresses

There is EXTENSIVE documentation, and of course the source to the whole
thing is available.

In the future, I hope to make an Internet gateway available (on a purely
opt-in basis) as well.

Please feel free to ask any questions, and I hope to receive NNCP email
from you soon!

- John